---
title: 'Feature-Policy: battery'
slug: Web/HTTP/Headers/Feature-Policy/battery
---
<p>{{HTTPSidebar}}{{SeeCompatTable}}</p>

<p>The HTTP {{HTTPHeader("Feature-Policy")}} header <code>battery</code> directive controls whether the current document is allowed to gather information about the battery of the device through the {{DOMxRef("BatteryManager")}} interface obtained via {{DOMxRef("Navigator.getBattery","Navigator.getBattery()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Feature-Policy: battery &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy","allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default value is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Feature Policy")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName("Battery API","#feature-policy-integration","Feature Policy integration")}}</td>
   <td>{{Spec2("Battery API")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Feature-Policy.battery")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/API/Battery_Status_API">Battery Status API</a></li>
 <li>{{DOMxRef("Navigator.getBattery","Navigator.getBattery()")}}</li>
 <li>{{DOMxRef("BatteryManager")}}</li>
</ul>
